Subject: Admitting Opcode discover draft?

From: Ólafur Guðmundsson<[email-masked]>
Date: Tue, 16 Oct 2001 14:22:28 -0400

As discussed in the DNSEXT meeting in London, the author will change
copyright statement if and only if working group agrees to adopt
as a work item. An i-d of the same technical content as the ID
named above will be issued, the new document will fully conform to
RFC2026 with standard copyright without any changes or additions.

Is the working group willing to adopt this work (please be
civil and technical) ?

         Olafur

>To: IETF-Announce: ;
>From: [email-masked]
>Reply-to: [email-masked]
>Subject: I-D ACTION:draft-ymbk-opcode-discover-02.txt
>Date: Tue, 19 Jun 2001 10:31:34 -0400
>Sender: [email-masked]
>X-UIDL: h\_"!e%4"!T;#"!J:G!!
>
>A New Internet-Draft is available from the on-line Internet-Drafts 
>directories.
>
>
>         Title           : The DISCOVER opcode
>         Author(s)       : B. Manning, P. Vixie, E. Guttman
>         Filename        : draft-ymbk-opcode-discover-02.txt
>         Pages           :
>         Date            : 18-Jun-01
>
>The QUERY opcode in the DNS is designed for unicast. With the
>development of multicast capabilities in the DNS, it is desireable
>to have a more robust opcode for server interactions since a single
>request may result in replies from multiple responders. So DISCOVER
>is defined to deal with replies from multiple responders.
>As such, this document extend the core DNS specifications to allow
>clients to have a method for coping with replies from multiple
>responders. Use of this new opcode may facilitate DNS operations in
>modern networking topologies.
>
>A URL for this Internet-Draft is:
>http://www.ietf.org/internet-drafts/draft-ymbk-opcode-discover-02.txt
>
>Internet-Drafts are also available by anonymous FTP. Login with the username
>"anonymous" and a password of your e-mail address. After logging in,
>type "cd internet-drafts" and then
>         "get draft-ymbk-opcode-discover-02.txt".
>
>A list of Internet-Drafts directories can be found in
>http://www.ietf.org/shadow.html
>or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
>Internet-Drafts can also be obtained by e-mail.
>
>Send a message to:
>         [email-masked].
>In the body type:
>         "FILE /internet-drafts/draft-ymbk-opcode-discover-02.txt".
>
>NOTE:   The mail server at ietf.org can return the document in
>         MIME-encoded form by using the "mpack" utility.  To use this
>         feature, insert the command "ENCODING mime" before the "FILE"
>         command.  To decode the response(s), you will need "munpack" or
>         a MIME-compliant mail reader.  Different MIME-compliant mail readers
>         exhibit different behavior, especially when dealing with
>         "multipart" MIME messages (i.e. documents which have been split
>         up into multiple messages), so check your local documentation on
>         how to manipulate these messages.
>
>
>Below is the data which will enable a MIME compliant mail reader
>implementation to automatically retrieve the ASCII version of the
>Internet-Draft.
>Content-Type: text/plain
>Content-ID:     <[email-masked]>
>
>ENCODING mime
>FILE /internet-drafts/draft-ymbk-opcode-discover-02.txt
>
><ftp://ftp.ietf.org/internet-drafts/draft-ymbk-opcode-discover-02.txt>

to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.

---

From: "Scott Rose" <[email-masked]>
Date: Wed, 17 Oct 2001 15:22:28 -0400

I guess you could call this an objection:

>From reading the DISCOVER query draft, I got the feeling that it would
almost become a lightweight resource discovery protocol.  Much like SLP,
only with fewer features.  Do we really want to mangle DNS to make it do
resouce discovery?  (the section of using QTYPE = SRV is what I'm talking
about).  Discovery of DNS servers would be the best use of this new query
type (and keep it limited to that).

If the rest of the working group want to adopt this draft, I can live with
it, but it my vote is it's re-inventing the wheel and forcing DNS to become
a service/resource discovery protocol (which should be avoided).

Scott
===============================================================
Scott Rose
Advanced Network Technologies Division
NIST

ph: 301-975-8439                       fax: 301-590-0932
http://www.nist.gov
===============================================================